#
# spec file for package ibus-googlepinyin
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-googlepinyin
Version:        0.1.2
Release:        lp152.4.1
Summary:        This package is for IBus to use libgooglepinyin
License:        GPL-2.0+
Group:          System/I18n/Chinese 
Url:            http://code.google.com/p/libgooglepinyin
BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  ibus-devel
BuildRequires:  intltool
BuildRequires:  libgooglepinyin-devel
BuildRequires:  python-devel
%if 0%{?suse_version}
BuildRequires:  sqlite3-devel
%else
BuildRequires:  desktop-notification-daemon
BuildRequires:  kdebase-runtime
BuildRequires:  notification-daemon
BuildRequires:  sqlite-devel
BuildRequires:  xfce4-notifyd
%endif
Source:         %{name}-%{version}.tar.bz2
Patch:          FSF-address.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       ibus
Requires:       libgooglepinyin0
Requires:       python-ibus

%description
GooglePinyin
===

libgooglepinyin is a fork of Google Pinyin on Android, it features to have excellent input 
experience and uses little resource.

==
This package is for IBus to use libgooglepinyin. 


%prep
%setup -q -n %{name}
%patch -p1

%build
mkdir build
cd build
cmake   -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DLIB_INSTALL_DIR=%{_libdir} \
        ..
make %{?smp_mflags}

%install
cd build
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%{_datadir}/%{name}
%{_datadir}/ibus

%changelog
* Fri Apr 13 2018 hillwood@opensuse.org
- Drop Provides tag, make sure python2 won't be automatically installed.
* Wed May 24 2017 qzhao@suse.com
- Add is_opensuse macro in SPEC file, limit google-pinyin
  installation not by default in SLE.
* Sat Jul 21 2012 hillwood@linuxfans.org
- Add libgooglepinyin0 and python-ibus as Requires
* Wed Jul  4 2012 swyear@gmail.com
- Add ibus as Requires
* Mon Jun 11 2012 hillwood@linuxfans.org
- update to 0.1.2
* Sat Jun  2 2012 hillwood@linuxfans.org
- bring ibus-googlepinyin as default in DVD.
- add Provides(ibus:zh)
* Thu Feb 16 2012 cfarrell@suse.com
- license update: GPL-2.0+
* Sun Dec  4 2011 hillwood@linuxfans.org
- Rewite spec file
- Use BuildArch: noarch for this packages
* Mon Sep 12 2011 hillwood@linuxfans.org
- First build
